Package ietf.params.xml.ns.icalendar_2

# Class ToleranceValueType

java.lang.Object
ietf.params.xml.ns.icalendar_2.ToleranceValueType

public class ToleranceValueType extends Object
A tolerance value is a set of durations which indicate the allowed tolerance for the indicated value, e.g. startafter=PT5M indicates that 5 minutes late is acceptable.

Java class for ToleranceValueType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ToleranceValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="startbefore" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="startafter" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="endbefore" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="endafter" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="durationlong" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="durationshort" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
             <element name="precision" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `durationlong`
  `protected String`
  `durationshort`
  `protected String`
  `endafter`
  `protected String`
  `endbefore`
  `protected String`
  `precision`
  `protected String`
  `startafter`
  `protected String`
  `startbefore`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToleranceValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDurationlong()`
  Gets the value of the durationlong property.
  `String`
  `getDurationshort()`
  Gets the value of the durationshort property.
  `String`
  `getEndafter()`
  Gets the value of the endafter property.
  `String`
  `getEndbefore()`
  Gets the value of the endbefore property.
  `String`
  `getPrecision()`
  Gets the value of the precision property.
  `String`
  `getStartafter()`
  Gets the value of the startafter property.
  `String`
  `getStartbefore()`
  Gets the value of the startbefore property.
  `void`
  `setDurationlong(String value)`
  Sets the value of the durationlong property.
  `void`
  `setDurationshort(String value)`
  Sets the value of the durationshort property.
  `void`
  `setEndafter(String value)`
  Sets the value of the endafter property.
  `void`
  `setEndbefore(String value)`
  Sets the value of the endbefore property.
  `void`
  `setPrecision(String value)`
  Sets the value of the precision property.
  `void`
  `setStartafter(String value)`
  Sets the value of the startafter property.
  `void`
  `setStartbefore(String value)`
  Sets the value of the startbefore property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### startbefore

    protected String startbefore

  - ### startafter

    protected String startafter

  - ### endbefore

    protected String endbefore

  - ### endafter

    protected String endafter

  - ### durationlong

    protected String durationlong

  - ### durationshort

    protected String durationshort

  - ### precision

    protected String precision

- ## Constructor Details

  - ### ToleranceValueType

    public ToleranceValueType()

- ## Method Details

  - ### getStartbefore

    public String getStartbefore()
    Gets the value of the startbefore property.
    Returns:
      possible object is `String`

  - ### setStartbefore

    public void setStartbefore(String value)
    Sets the value of the startbefore property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartafter

    public String getStartafter()
    Gets the value of the startafter property.
    Returns:
      possible object is `String`

  - ### setStartafter

    public void setStartafter(String value)
    Sets the value of the startafter property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndbefore

    public String getEndbefore()
    Gets the value of the endbefore property.
    Returns:
      possible object is `String`

  - ### setEndbefore

    public void setEndbefore(String value)
    Sets the value of the endbefore property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndafter

    public String getEndafter()
    Gets the value of the endafter property.
    Returns:
      possible object is `String`

  - ### setEndafter

    public void setEndafter(String value)
    Sets the value of the endafter property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDurationlong

    public String getDurationlong()
    Gets the value of the durationlong property.
    Returns:
      possible object is `String`

  - ### setDurationlong

    public void setDurationlong(String value)
    Sets the value of the durationlong property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDurationshort

    public String getDurationshort()
    Gets the value of the durationshort property.
    Returns:
      possible object is `String`

  - ### setDurationshort

    public void setDurationshort(String value)
    Sets the value of the durationshort property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrecision

    public String getPrecision()
    Gets the value of the precision property.
    Returns:
      possible object is `String`

  - ### setPrecision

    public void setPrecision(String value)
    Sets the value of the precision property.
    Parameters:
      `value` - allowed object is `String`